//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Shipment
    {
        public string applicationid { get; set; }
        public string enterpriseid { get; set; }
        public int booking_no { get; set; }
        public string consignment_no { get; set; }
        public string ref_no { get; set; }
        public Nullable<System.DateTime> booking_datetime { get; set; }
        public string payerid { get; set; }
        public string payer_type { get; set; }
        public string new_account { get; set; }
        public string payer_name { get; set; }
        public string payer_address1 { get; set; }
        public string payer_address2 { get; set; }
        public string payer_zipcode { get; set; }
        public string payer_country { get; set; }
        public string payer_telephone { get; set; }
        public string payer_fax { get; set; }
        public string payment_mode { get; set; }
        public string sender_name { get; set; }
        public string sender_address1 { get; set; }
        public string sender_address2 { get; set; }
        public string sender_zipcode { get; set; }
        public string sender_country { get; set; }
        public string sender_telephone { get; set; }
        public string sender_fax { get; set; }
        public string sender_contact_person { get; set; }
        public string recipient_name { get; set; }
        public string recipient_address1 { get; set; }
        public string recipient_address2 { get; set; }
        public string recipient_zipcode { get; set; }
        public string recipient_country { get; set; }
        public Nullable<decimal> tot_wt { get; set; }
        public string recipient_telephone { get; set; }
        public Nullable<decimal> tot_dim_wt { get; set; }
        public string recipient_fax { get; set; }
        public Nullable<int> tot_pkg { get; set; }
        public string service_code { get; set; }
        public string recipient_contact_person { get; set; }
        public Nullable<decimal> declare_value { get; set; }
        public Nullable<decimal> chargeable_wt { get; set; }
        public Nullable<decimal> insurance_surcharge { get; set; }
        public Nullable<decimal> max_insurance_cover { get; set; }
        public Nullable<System.DateTime> act_pickup_datetime { get; set; }
        public Nullable<System.DateTime> est_delivery_datetime { get; set; }
        public Nullable<decimal> percent_dv_additional { get; set; }
        public Nullable<System.DateTime> act_delivery_date { get; set; }
        public string payment_type { get; set; }
        public string return_pod_slip { get; set; }
        public string shipment_type { get; set; }
        public string origin_state_code { get; set; }
        public string invoice_no { get; set; }
        public string destination_state_code { get; set; }
        public Nullable<decimal> invoice_amt { get; set; }
        public Nullable<decimal> tot_freight_charge { get; set; }
        public Nullable<System.DateTime> invoice_date { get; set; }
        public Nullable<decimal> tot_vas_surcharge { get; set; }
        public Nullable<decimal> debit_amt { get; set; }
        public Nullable<decimal> credit_amt { get; set; }
        public Nullable<decimal> cash_collected { get; set; }
        public string last_status_code { get; set; }
        public string last_exception_code { get; set; }
        public Nullable<System.DateTime> last_status_datetime { get; set; }
        public Nullable<System.DateTime> shpt_manifest_datetime { get; set; }
        public string delivery_manifested { get; set; }
        public string route_code { get; set; }
        public string quotation_no { get; set; }
        public Nullable<int> quotation_version { get; set; }
        public string commodity_code { get; set; }
        public Nullable<decimal> esa_surcharge { get; set; }
        public Nullable<decimal> agent_pup_cost_consignment { get; set; }
        public Nullable<decimal> agent_pup_cost_wt { get; set; }
        public Nullable<decimal> agent_del_cost_consignment { get; set; }
        public Nullable<decimal> agent_del_cost_wt { get; set; }
        public string remark { get; set; }
        public string mbg { get; set; }
        public Nullable<decimal> cod_amount { get; set; }
        public string origin_station { get; set; }
        public string destination_station { get; set; }
        public string return_invoice_hc { get; set; }
        public Nullable<System.DateTime> est_hc_return_datetime { get; set; }
        public Nullable<System.DateTime> act_hc_return_datetime { get; set; }
        public Nullable<System.DateTime> cod_amt_collected_datetime { get; set; }
        public Nullable<decimal> cod_amt_collected_cash { get; set; }
        public Nullable<decimal> cod_amt_collected_check { get; set; }
        public Nullable<decimal> cod_amt_collected_other { get; set; }
        public Nullable<decimal> wh_tax_amt { get; set; }
        public Nullable<decimal> net_cod_amt { get; set; }
        public Nullable<decimal> total_cod_amt { get; set; }
        public Nullable<System.DateTime> cod_amt_verified_datetime_cash { get; set; }
        public Nullable<System.DateTime> cod_amt_verified_datetime_check { get; set; }
        public Nullable<System.DateTime> cod_amt_verified_datetime_other { get; set; }
        public Nullable<System.DateTime> cod_remittance_to_customer_datetime_cash { get; set; }
        public Nullable<System.DateTime> cod_remittance_to_customer_datetime_check { get; set; }
        public Nullable<System.DateTime> cod_remittance_to_customer_datetime_other { get; set; }
        public Nullable<decimal> cod_adv_to_customer { get; set; }
        public string cod_refused { get; set; }
        public string cod_remark { get; set; }
        public string cod_verified_remark { get; set; }
        public string cod_remittance_remark { get; set; }
        public string manual_over_user { get; set; }
        public Nullable<System.DateTime> manual_over_datetime { get; set; }
        public string manual_override { get; set; }
        public Nullable<decimal> other_surch_amount { get; set; }
        public Nullable<decimal> total_rated_amount { get; set; }
        public Nullable<decimal> total_excp_charges { get; set; }
        public Nullable<decimal> mbg_amount { get; set; }
        public Nullable<decimal> invoice_adjustment { get; set; }
        public Nullable<decimal> total_cons_revenue { get; set; }
        public Nullable<decimal> original_rated_freight { get; set; }
        public Nullable<decimal> original_rated_ins { get; set; }
        public Nullable<decimal> original_rated_other { get; set; }
        public Nullable<decimal> original_rated_esa { get; set; }
        public Nullable<decimal> original_rated_total { get; set; }
        public Nullable<decimal> tot_act_wt { get; set; }
        public string cod_amount_type { get; set; }
        public string pickup_route { get; set; }
        public Nullable<decimal> forcembg_amount { get; set; }
        public Nullable<decimal> paid_revenue { get; set; }
        public string pkg_detail_replaced_by { get; set; }
        public Nullable<System.DateTime> pkg_detail_replaced_datetime { get; set; }
        public string created_by { get; set; }
        public Nullable<decimal> basic_charge { get; set; }
        public Nullable<decimal> tax_on_rated_amount { get; set; }
        public string payerid2 { get; set; }
        public Nullable<decimal> original_rated_basic_charge { get; set; }
        public Nullable<decimal> original_rated_vas { get; set; }
        public string export_flag { get; set; }
        public string intl_docs_flag { get; set; }
        public string GoodsDescription { get; set; }
        public string MasterAWBNumber { get; set; }
        public Nullable<decimal> export_freight_charge { get; set; }
        public Nullable<decimal> customs_fees { get; set; }
        public Nullable<decimal> freight_collect_charges { get; set; }
        public string ConsignmentDescription { get; set; }
        public string Signature_Base64 { get; set; }
    
        public virtual Enterprise Enterprise { get; set; }
    }
}
